Scan appointment updates
Scans up to 100 appointment updates. The since query parameter is inclusive, and the result list is ordered by updatedAt ascending.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Query Parameters
date-timeResponse Body
application/json
curl -X GET "https://example.com/appointments/v1/updates/scan?since=2019-08-24T14%3A15%3A22Z"[ { "id": "string", "organization_id": "string", "deactivated": true, "version": 0, "updated_at": "2019-08-24T14:15:22Z", "updating_user_id": "string", "patient_id": "string", "start_timestamp": "2019-08-24T14:15:22Z", "status": "PENDING", "not_ready_reason": "INACTIVE_PRIMARY", "ready_source": "MANUAL", "service_duration": 0, "services": [ { "universal_service_identifier": "MD_Visit", "start_timestamp": "2019-08-24T14:15:22Z" } ], "placer_appointment_id": "string", "attending_doctor": { "name": { "family": "string", "given": [ "string" ], "use": "USUAL", "period": { "start": "2019-08-24", "end": "2019-08-24" }, "suffix": "string" }, "type": "PRIMARY", "npi": "string", "telecoms": [ { "value": "string", "use": "HOME", "period": { "start": "2019-08-24", "end": "2019-08-24" } } ], "addresses": [ { "use": "HOME", "line": [ "string" ], "city": "string", "state": "string", "postal_code": "string", "country": "string", "county": "string", "period": { "start": "2019-08-24", "end": "2019-08-24" } } ], "period": { "start": "2019-08-24", "end": "2019-08-24" }, "canonical_id": "string", "fax": "string", "other_fax_numbers": [ "string" ], "emails": [ "string" ], "service_facilities": [ { "service_facility_id": "string" } ] }, "estimated_copay_cents": 0, "estimated_patient_responsibility_cents": 0, "patient_deposit_cents": 0, "appointment_details": "string", "checked_in_timestamp": "2019-08-24T14:15:22Z", "notes": "string", "location_resource_id": "string", "automated_eligibility_check_complete": true, "work_queue": "EMERGENT_ISSUE" }]Create appointment POST
Adds an appointment. VersionConflictError is returned when the placer_appointment_id is already in use.
Get visits GET
Gets all Visits within a given time range. The return list is ordered by start_time ascending. **IMPORTANT:** This endpoint requires a date filter on `appointment.startTimestamp` to ensure acceptable query performance. Without date filtering, the query can take 50+ seconds on large datasets due to grouping and aggregation operations. Example filters: - `appointment.startTimestamp|gt|2024-01-01` - appointments after January 1, 2024 - `appointment.startTimestamp|eq|2024-12-08` - appointments on December 8, 2024 - `appointment.startTimestamp|lt|2024-12-31` - appointments before December 31, 2024 You can combine the date filter with other filters using commas: - `appointment.startTimestamp|gt|2024-01-01,appointment.status|eq|PENDING`